## Overworld

## Skeleton:
#~~~~~ infested_skeleton ~~~~~
execute as @e[type=skeleton, tag=!infested, tag=!wind] at @s positioned as @s if biome ~ ~ ~ bramble run data merge entity @s {Tags:["infested"],HandItems:[{id:"bow",Count:1},{id:"tipped_arrow",Count:2,tag:{Potion:"minecraft:poison"}}],HandDropChances:[0f,0.42f],ShowArms:1b,NoBasePlate:1b,ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:{Id:[I;-921257727,135610543,-1399829214,104847231],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNGI4ZGZiM2Y4MjUyN2QyYzQ4YWY4MDhhNzIyMjZkMWNhMGRkMGVkYWFiYjU3NGRiZTc4ZGI3N2FjYTJmZDJmIn19fQ=="}]}}}}],ArmorDropChances:[0f,0f,0f,0.005f],Attributes:[{Name:"generic.attack_damage",Base:1}]}

#~~~~~ wind_skeleton ~~~~~
execute as @e[type=skeleton, tag=!infested, tag=!wind] at @s positioned as @s if dimension overworld if block ~ ~-16 ~ air if block ~ ~16 ~ air if block ~16 ~-1 ~ air if block ~-16 ~-1 ~ air if block ~ ~-1 ~16 air if block ~ ~-1 ~-16 air run data merge entity @s {Tags:["wind"],ArmorItems:[{Count:1,id:"leather_boots",tag:{display:{color:6192150},Enchantments:[{id:"feather_falling",lvl:4}]}},{},{},{Count:1,id:"leather_helmet",tag:{display:{color:6192150}}}],ArmorDropChances:[0.3f,0.0f,0.0f,0.0f]}
execute as @e[tag=wind] at @s positioned as @s if block ~ ~-1 ~ air run effect give @s slow_falling 1 0 false


## Zombies:
#~~~~~ iron_zombie ~~~~~
execute as @e[type=zombie, tag=!iron] at @s positioned as @s if dimension overworld unless biome ~ ~ ~ savanna unless biome ~ ~ ~ savanna_plateau if block ~ ~-16 ~ air if block ~ ~16 ~ air if block ~16 ~-1 ~ air if block ~-16 ~-1 ~ air if block ~ ~-1 ~16 air if block ~ ~-1 ~-16 air run data merge entity @s {Tags:["iron"],ArmorItems:[{},{},{},{id:"player_head",tag:{SkullOwner:{Id:[I;-847629707,-1011593993,-2048760807,-2341734],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMjJiY2FjZWViNDE2MmY0MDBkNDQ3NDMzMTU5MzJhYzgyMGQzMTE5YWM4OTg2YTAxNjFhNzI2MTYxY2NjOTNmYyJ9fX0="}]}}},Count:1}],ArmorDropChances:[0f,0f,0f,0.05f],Attributes:[{Name:"generic.knockback_resistance",Base:1},{Name:"generic.attack_knockback",Base:4}]}

#~~~~~ golden_zombie ~~~~~
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-1 ~ gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-2 ~ gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-3 ~ gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-1 ~ deepslate_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-2 ~ deepslate_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-3 ~ deepslate_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-1 ~ nether_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-2 ~ nether_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-3 ~ nether_gold_ore run tag @s add husk

execute as @e[tag=husk] at @s positioned as @s run summon husk ~ ~ ~ {Tags: ["golden"],HandItems:[{Count:1,id:"golden_pickaxe",tag:{Enchantments:[{id:"fire_aspect",lvl:2}]}},{}],ArmorItems:[{},{},{Count:1,id:"golden_chestplate"},{}],ArmorDropChances:[0.0f,0.0f,0.1f,0.0f]}
execute as @e[tag=husk] at @s positioned as @s run kill @s
execute as @e[tag=golden] at @s positioned as @s run kill @e[type=item, limit=4, distance=..2]
execute as @e[tag=golden] at @s positioned as @s run tag @s remove golden


## Nether


## End

## Skeleton:
#~~~~~ infested_skeleton ~~~~~
execute as @e[type=skeleton, tag=!infested, tag=!wind] at @s positioned as @s if predicate structure/green run data merge entity @s {Tags:["infested"],HandItems:[{id:"bow",Count:1},{id:"tipped_arrow",Count:2,tag:{Potion:"minecraft:poison"}}],HandDropChances:[0f,0.21f],ShowArms:1b,NoBasePlate:1b,ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:{Id:[I;-921257727,135610543,-1399829214,104847231],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNGI4ZGZiM2Y4MjUyN2QyYzQ4YWY4MDhhNzIyMjZkMWNhMGRkMGVkYWFiYjU3NGRiZTc4ZGI3N2FjYTJmZDJmIn19fQ=="}]}}}}],ArmorDropChances:[0f,0f,0f,0.005f],Attributes:[{Name:"generic.attack_damage",Base:1}]}

#~~~~~ desert_room ~~~~~
execute as @e[type=skeleton, tag=!golden] at @s positioned as @s if predicate structure/desert if block ~ ~-1 ~ sand run data merge entity @s {Tags:["golden"],HandItems:[{id:"golden_sword",Count:1}],ArmorItems:[{},{},{id:"golden_chestplate",tag:{Trim:{pattern:eye,material:emerald}},Count:1}],HandDropChances:[0f],ArmorDropChances:[0f,0f,0f]}
execute as @e[type=skeleton, tag=!golden] at @s positioned as @s if predicate structure/desert if block ~ ~-1 ~ suspicious_sand run data merge entity @s {Tags:["golden"],HandItems:[{id:"golden_sword",Count:1}],ArmorItems:[{},{},{},{id:"golden_helmet",tag:{Trim:{pattern:dune,material:diamond}},Count:1}],HandDropChances:[0f],ArmorDropChances:[0f,0f,0f,0f]}
